Cyberduck Mountain Duck CLI

#5602 closed defect (fixed)

Stack overflow clicking the expand arrow

Reported by: samt Owned by: dkocher
Priority: normal Milestone: 4.0b9
Component: ftp Version: 4.0b8
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Anytime I click the expand arrow when viewing files, it crashes with the typical "This program has stopped working" message from windows. Sometimes it just hangs there for a while before crashing, but the point is it just stops working. I have found it to be about 70% reproducible on my setup. Visual Studio debugger says that a StackOverflowException was unhandled.

Change History (7)

comment:1 Changed on Dec 30, 2010 at 4:38:06 PM by dkocher

  • Summary changed from Crash upon clicking the expand arrow to Stack overflow clicking the expand arrow

i cannot reproduce the issue here. Can you replicate this issue on a publicly reachable server?

comment:2 Changed on Dec 31, 2010 at 5:44:29 PM by dkocher

  • Milestone set to 4.0b9

comment:3 Changed on Dec 31, 2010 at 6:16:23 PM by SamT

It seems to only happen when there is a decent number of directories in the home directory. If we start off the home directory with only one folder in it, we don't have a problem.

To demonstrate this, I set up a test FTP site (anon FTP): ftp://ftp(dot)ichimonai(dot)com

Click expand on one of the directories and Cyberduck should crash.

comment:4 Changed on Jan 1, 2011 at 1:35:15 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

I can reproduce the issue. Caused by invalid entries in the MLSD listing.

comment:5 Changed on Jan 1, 2011 at 1:35:37 PM by dkocher

  • Component changed from core to ftp

comment:6 Changed on Jan 1, 2011 at 11:41:11 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8188.

comment:7 Changed on Jan 3, 2011 at 10:10:15 AM by dkocher

You can test this in both the latest nightly snapshot build available for Mac and Windows.

Note: See TracTickets for help on using tickets.
swiss made software